unit PS_Reg;

interface

uses
  DsgnIntf, Classes, MainStringsEditor;

type
  TStringsProperty = class(TStringProperty)
      public
        function GetAttributes: TPropertyAttributes; override;
        function GetValue: string; override;
        procedure Edit; override;
      end;

procedure Register;

implementation

uses
  Ps;

procedure Register;
begin
  RegisterComponents('PS', [TPS]);
  RegisterPropertyEditor(TypeInfo(TStrings), TPS, 'Script', TStringsProperty);
end;


procedure TStringsProperty.Edit;
var
  MyComp: TPS;
begin
  MyComp:= GetComponent(0) as TPS ;
  MyComp.Script.Text:= ShowEditor(MyComp.Script.Text, twDelphi);
  Modified
end;

function TStringsProperty.GetAttributes: TPropertyAttributes;
begin
  Result:= [paDialog, paAutoUpdate]
end;

function TStringsProperty.GetValue: string;
begin
  Result:= '(Text)'
end;

end.
